#ifndef AUDIO_EDITOR_H
#define AUDIO_EDITOR_H
#include <QLabel>

class audio_editor : public QLabel
{
	Q_OBJECT
	public:
		audio_editor(QWidget * parent);
	public:
		int nbre_diapo;
		int position;
		int fin;
		int current;
	signals:
		void recalc();
	private:
		QPoint dragPosition;
	protected:
		void mouseMoveEvent(QMouseEvent *event);
		void mousePressEvent ( QMouseEvent * event );
};
#endif
